package com.servicemall.website.micro;

import java.util.List;
import java.util.Map;
import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;

import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import team.bangbang.common.data.Pagination;
import team.bangbang.common.data.response.ResponseBase;
import team.bangbang.common.data.response.DataResponse;
import team.bangbang.common.log.OperationLog;
import team.bangbang.spring.parameter.EntityParam;

import com.servicemall.website.data.Slider;

/**
 * 轮播图 - 微服务
 *
 * 对应Feign：com.servicemall.website.feign.SliderFeign
 *
 * @author 帮帮组
 * @version 1.0  2020-12-08
 */
@Api(description = "ServiceMall首页轮播图接口")
@RestController
@CrossOrigin(allowCredentials="true", allowedHeaders="*", origins="*", maxAge=3600)
@RequestMapping("/microservice/website/slider")
public final class SliderMicro {
	/**************************************************************************
	 * ！！除非设计、指导人员有特别说明，否则此处不得随意增加、修改、删除！！
	 * －－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－－
	 *
	 *************************************************************************/

	/**
	 * 查询多条轮播图，并转化为相应的POJO对象列表
	 *
	 *
	 * @return 返回结果记录，并转化为相应的POJO对象列表
	 */
	@PostMapping("/slidelist")
	@ResponseBody
	public ResponseBase slidelist() {


		DataResponse<Map<String, Object>> result = new DataResponse<Map<String, Object>>();
		Map<String, Object> datas = new HashMap<String, Object>();
		datas.put("list", "sliderList");
		Slider slider = new Slider();
		result.setData(datas);
		
		return result;
	}

}
